<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
if (!$_SESSION['admin']) {header("Location: menu-matriz.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

if ($_GET['annoinformedesde']=="0" || !isset($_SESSION['fechainformedesde'])) {
	$_SESSION['fechainformedesde']=date('Y-m-d');
} else {
	if ($_GET['annoinformedesde']<>""){
		$_SESSION['fechainformedesde']=$_GET['annoinformedesde'].'-'.$_GET['mesinformedesde'].'-'.$_GET['diainformedesde'];
	}
}
if ($_GET['annoinformehasta']=="0" || !isset($_SESSION['fechainformehasta'])) {
	$_SESSION['fechainformehasta']=date('Y-m-d');
} else {
	if ($_GET['annoinformehasta']<>""){
		$_SESSION['fechainformehasta']=$_GET['annoinformehasta'].'-'.$_GET['mesinformehasta'].'-'.$_GET['diainformehasta'];
	}
}
if ($_GET['fsucursal']=="0") {
	$_SESSION['fsucursal']=""; 
} else {
	if ($_GET['fsucursal']<>""){
		$_SESSION['fsucursal']=$_GET['fsucursal'];
		$fsucursal=$_SESSION['fsucursal'];
	} else {
		if ($_SESSION['fsucursal']<>""){$fsucursal=$_SESSION['fsucursal'];}
	}		
}


$annoinformedesde=substr($_SESSION['fechainformedesde'],0,4);
$mesinformedesde=substr($_SESSION['fechainformedesde'],5,2);
$diainformedesde=substr($_SESSION['fechainformedesde'],8,2);
$fechainformedesde=$annoinformedesde.'-'.$mesinformedesde.'-'.$diainformedesde;
$annoinformehasta=substr($_SESSION['fechainformehasta'],0,4);
$mesinformehasta=substr($_SESSION['fechainformehasta'],5,2);
$diainformehasta=substr($_SESSION['fechainformehasta'],8,2);
$fechainformehasta=$annoinformehasta.'-'.$mesinformehasta.'-'.$diainformehasta;
if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idproducto']) AND ($_GET['Idproducto']<>'')) {
	if (isset($_GET['campo']) AND ($_GET['campo']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		//$updt=$mysqli->query('UPDATE productos SET '.$_GET['campo'].'="'.$_GET['value'].'" WHERE Idproducto="'.$_GET['Idproducto'].'"');
		$informacion='Dato del producto '.$_GET['codigo'].' ha sido actualizado';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(Idproducto,codigo,name,campo,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='tablas-productos.php?modifica=si&Idproducto='+Idproducto+'&codigo='+codigo+'&campo='+campo+'&value='+newvalue;
	} else {return;}
}
function modificarstock(Idproducto,codigo,name,stockactual) {
	if (stocknuevo=prompt('Por favor ingresa el stock actual de este producto',stockactual)) {
		grabando();
		location.href='funcionesphp/corrijestock.php?Idproducto='+Idproducto+'&stockactual='+stockactual+'&stocknuevo='+stocknuevo;
	} else {return;}
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}
function eliminarproducto(Idproducto) {
	cargando();
	ajax=objetoAjax();
   	ajax.open("POST","ajax/buscarcomandaporproducto.php" , true);
   	ajax.onreadystatechange= function() {
      if (ajax.readyState==4) {
		  if (ajax.responseText!='') {
				if (ajax.responseText=='si') { //Si existen comandas abiertas
					alert ('Hay comandas abiertas con este producto, no se puede eliminar.');
					document.getElementById('cargando').style.display='none';
					return;
				}
				if (ajax.responseText=='no') { //Si existen comandas abiertas
					if (confirm('Estas seguro de eliminar este producto y su receta?')) {
						location.href="funcionesphp/eliminarproducto.php?e=e&Idproducto="+Idproducto;
						return;
					}
					document.getElementById('cargando').style.display='none';
					return;
				}
		  }
	  }
  }
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("Idproducto="+Idproducto);
}
</script>
<body>
<div class="div_cubierto" id="cubierto"></div>
<div class="div_cargando" id="cargando"></div>
<div align="center">
<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="div_caja_titulo">
	<span class="bold">Informe de Rentabilidad desde <?php echo afecha($fechainformedesde).' hasta '.afecha($fechainformehasta); ?></span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" height="24"/></a></span>    
</div>
<div class="centrar_tabla">
<form action="informe-utilidad-sucursal.php" method="get" name="filtrarcliente">
<span class="tipsprint">Se muestra la rentabilidad desde <input type="text" name="diainformedesde" value="<?php echo $diainformedesde; ?>" class="superangosto"> / <input type="text" name="mesinformedesde" value="<?php echo $mesinformedesde; ?>" class="superangosto"> / <input type="text" name="annoinformedesde" value="<?php echo $annoinformedesde; ?>" class="angosto"> hasta  <input type="text" name="diainformehasta" value="<?php echo $diainformehasta; ?>" class="superangosto"> / <input type="text" name="mesinformehasta" value="<?php echo $mesinformehasta; ?>" class="superangosto"> / <input type="text" name="annoinformehasta" value="<?php echo $annoinformehasta; ?>" class="angosto">  de la sucursal: <select name="fsucursal" onchange="cargando(); submit();"><option value="0">Todas las sucursales</option><?php echo optionsucursalesconmatriz($mysqli,$fsucursal);?></select><a href="#" onclick="cargando(); forms.filtrarcliente.submit();"><img src="iconos/buscar16.png" /></a></span><br />
</form>
<span class="tips">El costo es calculado de acuerdo al ultimo valor de compra del producto</span>
<?php if ($fsucursal>0) { ?>
	<table>
    <thead>
	   	<tr>
        	<th>Codigo</th>
			<th>Cantidad</th>
            <th>Venta total</th>
            <th>Costo actual unitario</th>
            <th>Costo total</th>
            <th>Margen</th>
        </tr>
     </thead>
     <tbody>
<?php
$totalventas=0;
$totalcosto=0;
$totalmargen=0;
$productos=$mysqli->query('SELECT * FROM productos ORDER BY descripcion ASC');
$row=$productos->fetch_array();
if ($productos->num_rows==0) {
?>
	<tr><td colspan="12">No existen productos ingresados</td></tr>
<?php
} else { 
do {
$esteproducto = new producto($mysqli,$row['Idproducto']);
?>
        <tr style="border-top:1px solid #999">
        	<td><?php echo $row['codigo']; ?></td>
<?php
	$esteproducto->stocksucursalayer($sucursal,$fechainventario);
	$ventas=$mysqli->query('SELECT sum(vd.cantidad*vd.valorunitario) as monto, v.fecha, vd.Idproducto, v.Idsucursal, sum(vd.cantidad) as cantidad, vd.valorunitario, v.tipodoc FROM ventas v LEFT JOIN ventas_detalle vd ON v.Idventa=vd.Idventa WHERE Idsucursal="'.$fsucursal.'" AND vd.Idproducto="'.$row['Idproducto'].'" AND nula="no" AND tipodoc!="correccion de inventario" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_ventas=$ventas->fetch_array();
	$costo=$row['valorcompra']*$row_ventas['cantidad'];
	$margen=$row_ventas['monto']-$costo;
	$totalventas+=$row_ventas['monto'];
	$totalcosto+=$costo;
	$totalmargen+=$margen;
?>
			<td style="border-left:1px solid #999;"><?php echo $row_ventas['cantidad']; ?></td>
			<td><?php echo ($row_ventas['monto']<>0)? '$ '.apesos($row_ventas['monto']):''; ?></td>
			<td style="border-left:2px solid #999;"><?php echo '$ '.apesos($row['valorcompra']); ?></td>
			<td ><?php echo '$ '.apesos($costo); ?></td>
			<td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($margen); ?></td>
        </tr>
<?php
$totalinventario+=$row['valorcompra']*$totalproducto;
} while ($row=$productos->fetch_array());
?>
        <tr style="border-top:2px solid #999; font-weight:bold">
        	<td>Totales</td>
			<td style="border-left:1px solid #999;"></td>
			<td><?php echo '$ '.apesos($totalventas); ?></td>
			<td style="border-left:2px solid #999;"></td>
			<td ><?php echo '$ '.apesos($totalcosto); ?></td>
			<td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($totalmargen); ?></td>
        </tr>
<?php
}
if ($despachos) {
    $despachos->free();
}
if ($sucursales) {
    $sucursales->free();
}
if ($productos) {
    $productos->free();
}
if ($valores) {
    $valores->free();
}
if ($categoria) {
    $categoria->free();
}
?>
	</tbody>
    </table>
<?php } ?>   
</div>
</body>
</html>